Skip to main content
PATCH
Update an alert

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

alert_id
string
required

Alert ULID

Pattern: ^[0-9A-Z]{26}$

Body

application/json
name
string
Maximum string length: 200
description
string
Maximum string length: 2000
evaluation_type
enum<string>

When the alert evaluates

Available options:
ON_RUN_COMPLETE
scope
enum<string>

Which runs the alert applies to

Available options:
ALL,
MONITORING,
SIMULATION
match_mode
enum<string>

How multiple conditions are combined (AND vs OR)

Available options:
ALL,
ANY
cooldown_seconds
integer
Required range: 0 <= x <= 86400
custom_message_template
string | null
agent_ids
string[] | null
required_tags
string[] | null
scheduled_run_ids
string[] | null
conditions
object[]

Replaces all existing conditions

Minimum array length: 1
channels
object[]

Replaces all existing channels

Response

Alert updated

ulid
string
required

Alert ULID

Pattern: ^[0-9A-Z]{26}$
Example:

"01HZ0EXAMPLE00000000000000"

name
string
required

Human-readable alert name

Maximum string length: 200
Example:

"Latency SLA Alert"

status
enum<string>
required

Alert status

Available options:
ACTIVE,
DELETED
evaluation_type
enum<string>
required

When the alert evaluates

Available options:
ON_RUN_COMPLETE
scope
enum<string>
required

Which runs the alert applies to

Available options:
ALL,
MONITORING,
SIMULATION
match_mode
enum<string>
required

How multiple conditions are combined (AND vs OR)

Available options:
ALL,
ANY
cooldown_seconds
integer
required

Minimum seconds between triggers

Required range: 0 <= x <= 86400
trigger_count
integer
required

Number of times this alert has triggered

conditions
object[]
required

Evaluation conditions

channels
object[]
required

Notification channels

create_time
string<date-time>
required

Creation timestamp

update_time
string<date-time>
required

Last update timestamp

description
string
default:""

Optional description

custom_message_template
string | null

Custom notification message template

Maximum string length: 5000
agent_ids
string[] | null

Restrict to specific agent IDs

required_tags
string[] | null

Restrict to runs with these tags

scheduled_run_ids
string[] | null

Restrict to runs originating from these scheduled runs

last_triggered_at
string<date-time> | null

Last trigger timestamp